'use strict';

const parseModules = require("./parse-modules");

module.exports = function filterModules(stack, ignoredModules) {
    let newStack = [];

    return stack.map((stackLine) => {
        let moduleList = parseModules(stackLine.file);
        
        if (moduleList.some(module => ignoredModules.includes(module))) {
            return {
                type: "ignored",
                count: 1
            }
        } else {
            return Object.assign({
                type: "stack"
            }, stackLine);
        }
    });
};
