'use strict';

const stacktraceParser = require("stacktrace-parser");
const printError = require("../../print-error");

module.exports = function parseStacktrace(stacktraceString) {
    try {
        return stacktraceParser.parse(stacktraceString);
    } catch (err) {
        printError([
            "WARNING: Unable to parse stacktrace!",
            err,
            "Original stacktrace string:",
            stacktraceString
        ]);

        return [];
    }
};
